Debian Bug report logs - #265784
tset: restore the block cursor

version graph

Package: ncurses-term; Maintainer for ncurses-term is Craig Small <csmall@debian.org>; Source for ncurses-term is src:ncurses.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Sat, 14 Aug 2004 22:48:08 UTC

Severity: minor

Fixed in version ncurses/5.4-5

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#265784; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tset: restore the block cursor
Date: Sun, 15 Aug 2004 03:44:05 +0800
Package: ncurses-bin
Version: 5.4-4
Severity: minor
File: /usr/bin/tset

$ reset
does not restore the block cursor, if it has disappeared.
TERM=rxvt
(crxvt)



Message sent on to Dan Jacobson <jidanni@jidanni.org>:
Bug#265784. Full text and rfc822 format available.

Message #8 received at 265784-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 265784-submitter@bugs.debian.org
Subject: Re: Bug#265784: tset: restore the block cursor
Date: Sat, 14 Aug 2004 20:57:35 -0400 (EDT)
On Sun, 15 Aug 2004, Dan Jacobson wrote:

> Package: ncurses-bin
> Version: 5.4-4
> Severity: minor
> File: /usr/bin/tset
>
> $ reset
> does not restore the block cursor, if it has disappeared.
> TERM=rxvt
> (crxvt)

tset is performing its documented function (man tset).

If you want it to reset cnorm, you should add that string to the
rs2 capability.  That's ncurses-term, not ncurses-bin

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Bug reassigned from package `ncurses-bin' to `ncurses-term'. Request was from Dan Jacobson <jidanni@jidanni.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#265784; Package ncurses-term. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #15 received at 265784@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Dan Jacobson <jidanni@jidanni.org>, 265784@bugs.debian.org
Subject: Re: Bug#265784: tset: restore the block cursor
Date: Mon, 16 Aug 2004 09:36:00 -0400
On Sun, Aug 15, 2004 at 03:44:05AM +0800, Dan Jacobson wrote:
> Package: ncurses-bin
> Version: 5.4-4
> Severity: minor
> File: /usr/bin/tset
> 
> $ reset
> does not restore the block cursor, if it has disappeared.
> TERM=rxvt
> (crxvt)

How do you set a block cursor?

-- 
Daniel Jacobowitz



Message sent on to Dan Jacobson <jidanni@jidanni.org>:
Bug#265784. Full text and rfc822 format available.

Message #18 received at 265784-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 265784-submitter@bugs.debian.org
Subject: Re: Bug#265784: tset: restore the block cursor
Date: Mon, 16 Aug 2004 16:19:52 -0400
[Message part 1 (text/plain, inline)]
On Mon, Aug 16, 2004 at 09:36:00AM -0400, Daniel Jacobowitz wrote:
> On Sun, Aug 15, 2004 at 03:44:05AM +0800, Dan Jacobson wrote:
> > Package: ncurses-bin
> > Version: 5.4-4
> > Severity: minor
> > File: /usr/bin/tset
> > 
> > $ reset
> > does not restore the block cursor, if it has disappeared.
> > TERM=rxvt
> > (crxvt)
> 
> How do you set a block cursor?

I assumed he was talking about
	civis=\E[?25l,
	cnorm=\E[?25h,

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#265784; Package ncurses-term. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #23 received at 265784@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: 265784@bugs.debian.org
Subject: Re: Bug#265784: tset: restore the block cursor
Date: Tue, 17 Aug 2004 02:26:18 +0800
Daniel> How do you set a block cursor?

Well, I don't know what it's called.
I'm just talking about the cursor.
Without it one can't tell where the next character will be entered on
e.g., the command line, or in an editor.
Even a blinking cursor would be better than no cursor at all.



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#265784; Package ncurses-term. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #28 received at 265784@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Dan Jacobson <jidanni@jidanni.org>, 265784@bugs.debian.org
Subject: Re: Bug#265784: tset: restore the block cursor
Date: Mon, 16 Aug 2004 20:11:50 -0400
On Tue, Aug 17, 2004 at 02:26:18AM +0800, Dan Jacobson wrote:
> Daniel> How do you set a block cursor?
> 
> Well, I don't know what it's called.
> I'm just talking about the cursor.
> Without it one can't tell where the next character will be entered on
> e.g., the command line, or in an editor.
> Even a blinking cursor would be better than no cursor at all.

This works for xterm so presumably it is an omission in the reset
sequence for rxvt.  I'll work out which one later, it should be very
easy.

-- 
Daniel Jacobowitz



Message sent on to Dan Jacobson <jidanni@jidanni.org>:
Bug#265784. Full text and rfc822 format available.

Message #31 received at 265784-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 265784-submitter@bugs.debian.org
Subject: Re: Bug#265784: tset: restore the block cursor
Date: Tue, 17 Aug 2004 05:52:54 -0400 (EDT)
On Mon, 16 Aug 2004, Daniel Jacobowitz wrote:

> On Tue, Aug 17, 2004 at 02:26:18AM +0800, Dan Jacobson wrote:
> > Daniel> How do you set a block cursor?
> >
> > Well, I don't know what it's called.
> > I'm just talking about the cursor.
> > Without it one can't tell where the next character will be entered on
> > e.g., the command line, or in an editor.
> > Even a blinking cursor would be better than no cursor at all.
>
> This works for xterm so presumably it is an omission in the reset
> sequence for rxvt.  I'll work out which one later, it should be very
> easy.

It works for xterm because xterm doesn't behave the same as rxvt.
For rxvt - you'll have to add the string that's used for cnorm to
the rs2 string.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#265784; Package ncurses-term. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #36 received at 265784@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: 265784@bugs.debian.org
Subject: Re: Bug#265784: tset: restore the block cursor
Date: Tue, 17 Aug 2004 08:30:49 +0800
T> I assumed he was talking about
T> 	civis=\E[?25l,
T> 	cnorm=\E[?25h,

Righto! I did
$ echo -e \\e[?25l
which thrust me back into that nightmare, and
$ echo -e \\e[?25h
which cured it.
So "reset" should be sure not to forget that.



Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 265784-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 265784-close@bugs.debian.org
Subject: Bug#265784: fixed in ncurses 5.4-5
Date: Sun, 12 Jun 2005 12:47:06 -0400
Source: ncurses
Source-Version: 5.4-5

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

libncurses5-dbg_5.4-5_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.4-5_i386.deb
libncurses5-dev_5.4-5_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.4-5_i386.deb
libncurses5_5.4-5_i386.deb
  to pool/main/n/ncurses/libncurses5_5.4-5_i386.deb
libncursesw5-dbg_5.4-5_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.4-5_i386.deb
libncursesw5-dev_5.4-5_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.4-5_i386.deb
libncursesw5_5.4-5_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.4-5_i386.deb
ncurses-base_5.4-5_all.deb
  to pool/main/n/ncurses/ncurses-base_5.4-5_all.deb
ncurses-bin_5.4-5_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.4-5_i386.deb
ncurses-term_5.4-5_all.deb
  to pool/main/n/ncurses/ncurses-term_5.4-5_all.deb
ncurses_5.4-5.diff.gz
  to pool/main/n/ncurses/ncurses_5.4-5.diff.gz
ncurses_5.4-5.dsc
  to pool/main/n/ncurses/ncurses_5.4-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 265784@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 12 Jun 2005 11:17:54 -0400
Source: ncurses
Binary: ncurses-base lib64ncurses5 libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term libncurses5-dbg lib64ncurses5-dev
Architecture: source i386 all
Version: 5.4-5
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 55637 110586 254316 257872 259253 265631 265784 273463 280687 283059 295083 301376 305704
Changes: 
 ncurses (5.4-5) unstable; urgency=low
 .
   * Use quilt to manage patches.
   * Update to upstream patch level 20050604.
     - Hurd build fix merged upstream.
     - Part of explicitly signed character patch merged upstream.
     - Corrected man page for mouseinterval (Closes: #280687).
     - Improved support for the zn_CH.GBK locale (Closes: #301376).
     - Improved terminfo entry for putty (Closes: #305704).
     - Explain the reference to ded(1) on the default_colors(3ncurses)
       man page (Closes: #295083).
     - Reset xterm mouse mode in various terminfo entries (Closes: #55637).
     - Check the size of the terminal after newterm() (Closes: #265631).
   * Updated xterm terminfo entry from xterm 200.  Combined with the
     upstream patch level, this (Closes: #254316).
   * Install the examples in libncurses5-dev again (Closes: #257872).
   * Remove use of test -a in ncurses-base and ncurses-term preinsts
     (Closes: #259253).
   * Enable gpm support (Closes: #110586).
   * Load libgpm.so.1 instead of libgpm.so.
   * Merge the Debian rxvt terminfo entry with upstream changes.
     - Upstream added cnorm to rxvt's reset string, so that the block cursor
       is restored if civis was used (Closes: #265784).
   * Fix the default bindings for F1-F4 in rxvt.
   * Use smkx instead of rmkx in rxvt's reset string, so that reset does
     not leave the keypad in the wrong state.
   * Move libncursesw.so.5 to /lib (Closes: #273463).
   * Added a patch from NIIBE Yutaka to support cross-compilation between
     two Debian systems (Closes: #283059).
   * Correct the section for the inwstr(3ncurses) man page.
   * Add myself to Uploaders.
   * Correct sections on the tack(1) man page.
   * Use symlinks instead of hardlinks for the terminfo database.
   * Remove a four-year-old workaround for an ia64 gcc bug.
   * Update shlibs file to (>= 5.4-5).
   * Configure using --disable-lp64 for compatibility on 64-bit architectures.
Files: 
 ed9623c2b270a187fa46c0b3cc04eb12 883 libs standard ncurses_5.4-5.dsc
 435ba55597cb03d7b09f97933d0be1dd 799336 libs standard ncurses_5.4-5.diff.gz
 5b37214b39694b3d0369c136f3cc893a 288672 base required libncurses5_5.4-5_i386.deb
 6d4bfb5f1ed426a74d7c6532213761ab 1247002 libdevel optional libncurses5-dev_5.4-5_i386.deb
 926a22295e7753f9f3c947d536ff5a56 5266072 libdevel extra libncurses5-dbg_5.4-5_i386.deb
 dd88ae6881a696c2391c78a11b05a675 304144 libs standard libncursesw5_5.4-5_i386.deb
 61b9db3fa98029e1c58e097b9f999876 416970 libdevel optional libncursesw5-dev_5.4-5_i386.deb
 123e8306059e277951db311ef3b00dfe 5800478 libdevel extra libncursesw5-dbg_5.4-5_i386.deb
 e4bd77cd68251ec9e0b8c71fad38b877 207632 base required ncurses-bin_5.4-5_i386.deb
 83464ad6d36b54aadb09d4061182fcc6 12170 base required ncurses-base_5.4-5_all.deb
 5d9a94886bc9d4268c50b088c62e20b8 277774 admin standard ncurses-term_5.4-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCrGOEbgOPXuCjg3cRAugAAJwNh4F07jmdbfRxOG4WGlUZL8pVQwCfQxhr
+9+y4ZMP3m44B/knpDOzB/c=
=mIcU
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:10:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.